package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class CondExprBoolExprC extends CondExpr {
    public final BoolExpr boolexpr_;

    public CondExprBoolExprC(BoolExpr p1) {

        boolexpr_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.boolexpr_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprBoolExprC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprBoolExprC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprBoolExprC) o;
            return this.boolexpr_.equals(x.boolexpr_);
        }
        return false;
    }


}
